SDL_VideoDevice Struct Reference

`#include <SDL_sysvideo.h>`

Collaboration diagram for SDL_VideoDevice:
[legend]

## Data Fields

const char * | name
int(* | VideoInit )(_THIS)
void(* | VideoQuit )(_THIS)
void(* | ResetTouch )(_THIS)
int(* | GetDisplayBounds )(_THIS, SDL_VideoDisplay *display, SDL_Rect *rect)
int(* | GetDisplayDPI )(_THIS, SDL_VideoDisplay *display, float *ddpi, float *hdpi, float *vdpi)
int(* | GetDisplayUsableBounds )(_THIS, SDL_VideoDisplay *display, SDL_Rect *rect)
void(* | GetDisplayModes )(_THIS, SDL_VideoDisplay *display)
int(* | SetDisplayMode )(_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)
int(* | CreateSDLWindow )(_THIS, SDL_Window *window)
int(* | CreateSDLWindowFrom )(_THIS, SDL_Window *window, const void *data)
void(* | SetWindowTitle )(_THIS, SDL_Window *window)
void(* | SetWindowIcon )(_THIS, SDL_Window *window, SDL_Surface *icon)
void(* | SetWindowPosition )(_THIS, SDL_Window *window)
void(* | SetWindowSize )(_THIS, SDL_Window *window)
void(* | SetWindowMinimumSize )(_THIS, SDL_Window *window)
void(* | SetWindowMaximumSize )(_THIS, SDL_Window *window)
int(* | GetWindowBordersSize )(_THIS, SDL_Window *window, int *top, int *left, int *bottom, int *right)
int(* | SetWindowOpacity )(_THIS, SDL_Window *window, float opacity)
int(* | SetWindowModalFor )(_THIS, SDL_Window *modal_window, SDL_Window *parent_window)
int(* | SetWindowInputFocus )(_THIS, SDL_Window *window)
void(* | ShowWindow )(_THIS, SDL_Window *window)
void(* | HideWindow )(_THIS, SDL_Window *window)
void(* | RaiseWindow )(_THIS, SDL_Window *window)
void(* | MaximizeWindow )(_THIS, SDL_Window *window)
void(* | MinimizeWindow )(_THIS, SDL_Window *window)
void(* | RestoreWindow )(_THIS, SDL_Window *window)
void(* | SetWindowBordered )(_THIS, SDL_Window *window, SDL_bool bordered)
void(* | SetWindowResizable )(_THIS, SDL_Window *window, SDL_bool resizable)
void(* | SetWindowFullscreen )(_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)
int(* | SetWindowGammaRamp )(_THIS, SDL_Window *window, const Uint16 *ramp)
int(* | GetWindowGammaRamp )(_THIS, SDL_Window *window, Uint16 *ramp)
void(* | SetWindowGrab )(_THIS, SDL_Window *window, SDL_bool grabbed)
void(* | DestroyWindow )(_THIS, SDL_Window *window)
int(* | CreateWindowFramebuffer )(_THIS, SDL_Window *window, Uint32 *format, void **pixels, int *pitch)
int(* | UpdateWindowFramebuffer )(_THIS, SDL_Window *window, const SDL_Rect *rects, int numrects)
void(* | DestroyWindowFramebuffer )(_THIS, SDL_Window *window)
void(* | OnWindowEnter )(_THIS, SDL_Window *window)
SDL_ShapeDriver | shape_driver
SDL_bool(* | GetWindowWMInfo )(_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
int(* | GL_LoadLibrary )(_THIS, const char *path)
void *(* | GL_GetProcAddress )(_THIS, const char *proc)
void(* | GL_UnloadLibrary )(_THIS)
SDL_GLContext(* | GL_CreateContext )(_THIS, SDL_Window *window)
int(* | GL_MakeCurrent )(_THIS, SDL_Window *window, SDL_GLContext context)
void(* | GL_GetDrawableSize )(_THIS, SDL_Window *window, int *w, int *h)
int(* | GL_SetSwapInterval )(_THIS, int interval)
int(* | GL_GetSwapInterval )(_THIS)
int(* | GL_SwapWindow )(_THIS, SDL_Window *window)
void(* | GL_DeleteContext )(_THIS, SDL_GLContext context)
void(* | GL_DefaultProfileConfig )(_THIS, int *mask, int *major, int *minor)
int(* | Vulkan_LoadLibrary )(_THIS, const char *path)
void(* | Vulkan_UnloadLibrary )(_THIS)
SDL_bool(* | Vulkan_GetInstanceExtensions )(_THIS, SDL_Window *window, unsigned *count, const char **names)
SDL_bool(* | Vulkan_CreateSurface )(_THIS, SDL_Window *window, VkInstance instance, VkSurfaceKHR *surface)
void(* | Vulkan_GetDrawableSize )(_THIS, SDL_Window *window, int *w, int *h)
void(* | PumpEvents )(_THIS)
void(* | SuspendScreenSaver )(_THIS)
void(* | StartTextInput )(_THIS)
void(* | StopTextInput )(_THIS)
void(* | SetTextInputRect )(_THIS, SDL_Rect *rect)
SDL_bool(* | HasScreenKeyboardSupport )(_THIS)
void(* | ShowScreenKeyboard )(_THIS, SDL_Window *window)
void(* | HideScreenKeyboard )(_THIS, SDL_Window *window)
SDL_bool(* | IsScreenKeyboardShown )(_THIS, SDL_Window *window)
int(* | SetClipboardText )(_THIS, const char *text)
char *(* | GetClipboardText )(_THIS)
SDL_bool(* | HasClipboardText )(_THIS)
int(* | ShowMessageBox )(_THIS, const SDL_MessageBoxData *messageboxdata, int *buttonid)
int(* | SetWindowHitTest )(SDL_Window *window, SDL_bool enabled)
SDL_bool | is_dummy
SDL_bool | suspend_screensaver
int | num_displays
SDL_VideoDisplay * | displays
SDL_Window * | windows
SDL_Window * | grabbed_window
Uint8 | window_magic
Uint32 | next_object_id
char * | clipboard_text
struct {
int red_size
int green_size
int blue_size
int alpha_size
int depth_size
int buffer_size
int stencil_size
int double_buffer
int accum_red_size
int accum_green_size
int accum_blue_size
int accum_alpha_size
int stereo
int multisamplebuffers
int multisamplesamples
int accelerated
int major_version
int minor_version
int flags
int profile_mask
int share_with_current_context
int release_behavior
int reset_notification
int framebuffer_srgb_capable
int no_error
int retained_backing
int driver_loaded
char driver_path [256]
void * dll_handle
} | gl_config
SDL_Window * | current_glwin
SDL_GLContext | current_glctx
SDL_TLSID | current_glwin_tls
SDL_TLSID | current_glctx_tls
struct {
PFN_vkGetInstanceProcAddr vkGetInstanceProcAddr
PFN_vkEnumerateInstanceExtensionProperties vkEnumerateInstanceExtensionProperties
int loader_loaded
char loader_path [256]
void * loader_handle
} | vulkan_config
void * | driverdata
struct SDL_GLDriverData * | gl_data
void(* | free )(_THIS)

## Detailed Description

Definition at line 147 of file SDL_sysvideo.h.

## Field Documentation

## accelerated

int SDL_VideoDevice::accelerated

Definition at line 338 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## accum_alpha_size

int SDL_VideoDevice::accum_alpha_size

Definition at line 334 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## accum_blue_size

int SDL_VideoDevice::accum_blue_size

Definition at line 333 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## accum_green_size

int SDL_VideoDevice::accum_green_size

Definition at line 332 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## accum_red_size

int SDL_VideoDevice::accum_red_size

Definition at line 331 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## alpha_size

int SDL_VideoDevice::alpha_size

Definition at line 326 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## blue_size

int SDL_VideoDevice::blue_size

Definition at line 325 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## buffer_size

int SDL_VideoDevice::buffer_size

Definition at line 328 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## clipboard_text

char* SDL_VideoDevice::clipboard_text

Definition at line 317 of file SDL_sysvideo.h.

Referenced by SDL_GetClipboardText(), SDL_HasClipboardText(), SDL_SetClipboardText(), and SDL_VideoQuit().

## CreateSDLWindow

int(* SDL_VideoDevice::CreateSDLWindow) (_THIS, SDL_Window *window)

Definition at line 210 of file SDL_sysvideo.h.

Referenced by createDevice(), SDL_CreateWindow(), and SDL_RecreateWindow().

## CreateSDLWindowFrom

int(* SDL_VideoDevice::CreateSDLWindowFrom) (_THIS, SDL_Window *window, const void *data)

Definition at line 211 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindowFrom().

## CreateWindowFramebuffer

int(* SDL_VideoDevice::CreateWindowFramebuffer) (_THIS, SDL_Window *window, Uint32 *format, void **pixels, int *pitch)

Definition at line 235 of file SDL_sysvideo.h.

Referenced by createDevice(), SDL_CreateWindowFramebuffer(), SDL_VideoInit(), and ShouldUseTextureFramebuffer().

## current_glctx

SDL_GLContext SDL_VideoDevice::current_glctx

Definition at line 360 of file SDL_sysvideo.h.

Referenced by SDL_GL_CreateContext(), and SDL_GL_MakeCurrent().

## current_glctx_tls

SDL_TLSID SDL_VideoDevice::current_glctx_tls

Definition at line 362 of file SDL_sysvideo.h.

Referenced by SDL_GL_CreateContext(), SDL_GL_GetCurrentContext(), SDL_GL_MakeCurrent(), and SDL_VideoInit().

## current_glwin

SDL_Window* SDL_VideoDevice::current_glwin

Definition at line 359 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_GL_CreateContext(), and SDL_GL_MakeCurrent().

## current_glwin_tls

SDL_TLSID SDL_VideoDevice::current_glwin_tls

Definition at line 361 of file SDL_sysvideo.h.

Referenced by SDL_GL_CreateContext(), SDL_GL_GetCurrentWindow(), SDL_GL_MakeCurrent(), and SDL_VideoInit().

## depth_size

int SDL_VideoDevice::depth_size

Definition at line 327 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## DestroyWindow

void(* SDL_VideoDevice::DestroyWindow) (_THIS, SDL_Window *window)

Definition at line 234 of file SDL_sysvideo.h.

Referenced by createDevice(), SDL_DestroyWindow(), and SDL_RecreateWindow().

## DestroyWindowFramebuffer

void(* SDL_VideoDevice::DestroyWindowFramebuffer) (_THIS, SDL_Window *window)

Definition at line 237 of file SDL_sysvideo.h.

Referenced by SDL_DestroyWindow(), SDL_RecreateWindow(), and SDL_VideoInit().

## displays

SDL_VideoDisplay* SDL_VideoDevice::displays

Definition at line 312 of file SDL_sysvideo.h.

Referenced by SDL_AddVideoDisplay(), SDL_GetClosestDisplayMode(), SDL_GetCurrentDisplayMode(), SDL_GetDesktopDisplayMode(), SDL_GetDisplayBounds(), SDL_GetDisplayDPI(), SDL_GetDisplayDriverData(), SDL_GetDisplayForWindow(), SDL_GetDisplayMode(), SDL_GetDisplayName(), SDL_GetDisplayUsableBounds(), SDL_GetIndexOfDisplay(), SDL_GetNumDisplayModes(), SDL_GetWindowDisplayIndex(), and SDL_VideoQuit().

## dll_handle

void* SDL_VideoDevice::dll_handle

Definition at line 351 of file SDL_sysvideo.h.

Referenced by SDL_VideoInit().

## double_buffer

int SDL_VideoDevice::double_buffer

Definition at line 330 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## driver_loaded

int SDL_VideoDevice::driver_loaded

Definition at line 349 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetProcAddress(), SDL_GL_LoadLibrary(), SDL_GL_UnloadLibrary(), and SDL_VideoInit().

## driver_path

char SDL_VideoDevice::driver_path[256]

Definition at line 350 of file SDL_sysvideo.h.

Referenced by SDL_GL_LoadLibrary().

## driverdata

void* SDL_VideoDevice::driverdata

Definition at line 377 of file SDL_sysvideo.h.

Referenced by createDevice().

## flags

int SDL_VideoDevice::flags

Definition at line 341 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## framebuffer_srgb_capable

int SDL_VideoDevice::framebuffer_srgb_capable

Definition at line 346 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## free

void(* SDL_VideoDevice::free) (_THIS)

Definition at line 390 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_VideoQuit().

## GetClipboardText

char*(* SDL_VideoDevice::GetClipboardText) (_THIS)

Definition at line 298 of file SDL_sysvideo.h.

Referenced by SDL_GetClipboardText().

## GetDisplayBounds

int(* SDL_VideoDevice::GetDisplayBounds) (_THIS, SDL_VideoDisplay *display, SDL_Rect *rect)

Definition at line 181 of file SDL_sysvideo.h.

Referenced by SDL_GetDisplayBounds().

## GetDisplayDPI

int(* SDL_VideoDevice::GetDisplayDPI) (_THIS, SDL_VideoDisplay *display, float *ddpi, float *hdpi, float *vdpi)

Definition at line 186 of file SDL_sysvideo.h.

Referenced by SDL_GetDisplayDPI().

## GetDisplayModes

void(* SDL_VideoDevice::GetDisplayModes) (_THIS, SDL_VideoDisplay *display)

Definition at line 196 of file SDL_sysvideo.h.

Referenced by SDL_GetNumDisplayModesForDisplay().

## GetDisplayUsableBounds

int(* SDL_VideoDevice::GetDisplayUsableBounds) (_THIS, SDL_VideoDisplay *display, SDL_Rect *rect)

Definition at line 191 of file SDL_sysvideo.h.

Referenced by SDL_GetDisplayUsableBounds().

## GetWindowBordersSize

int(* SDL_VideoDevice::GetWindowBordersSize) (_THIS, SDL_Window *window, int *top, int *left, int *bottom, int *right)

Definition at line 218 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowBordersSize().

## GetWindowGammaRamp

int(* SDL_VideoDevice::GetWindowGammaRamp) (_THIS, SDL_Window *window, Uint16 *ramp)

Definition at line 232 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowGammaRamp().

## GetWindowWMInfo

SDL_bool(* SDL_VideoDevice::GetWindowWMInfo) (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)

Definition at line 247 of file SDL_sysvideo.h.

Referenced by SDL_GetWindowWMInfo().

## gl_config

struct { ... } SDL_VideoDevice::gl_config

Referenced by SDL_GL_GetAttribute(), SDL_GL_GetProcAddress(), SDL_GL_LoadLibrary(), SDL_GL_ResetAttributes(), SDL_GL_SetAttribute(), SDL_GL_UnloadLibrary(), and SDL_VideoInit().

## GL_CreateContext

SDL_GLContext(* SDL_VideoDevice::GL_CreateContext) (_THIS, SDL_Window *window)

Definition at line 257 of file SDL_sysvideo.h.

Referenced by createDevice(), SDL_CreateWindow(), SDL_GL_CreateContext(), and SDL_RecreateWindow().

## gl_data

struct SDL_GLDriverData* SDL_VideoDevice::gl_data

Definition at line 378 of file SDL_sysvideo.h.

## GL_DefaultProfileConfig

void(* SDL_VideoDevice::GL_DefaultProfileConfig) (_THIS, int *mask, int *major, int *minor)

Definition at line 264 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes().

## GL_DeleteContext

void(* SDL_VideoDevice::GL_DeleteContext) (_THIS, SDL_GLContext context)

Definition at line 263 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_GL_DeleteContext().

## GL_GetDrawableSize

void(* SDL_VideoDevice::GL_GetDrawableSize) (_THIS, SDL_Window *window, int *w, int *h)

Definition at line 259 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetDrawableSize().

## GL_GetProcAddress

void*(* SDL_VideoDevice::GL_GetProcAddress) (_THIS, const char *proc)

Definition at line 255 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_GL_GetProcAddress().

## GL_GetSwapInterval

int(* SDL_VideoDevice::GL_GetSwapInterval) (_THIS)

Definition at line 261 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetSwapInterval().

## GL_LoadLibrary

int(* SDL_VideoDevice::GL_LoadLibrary) (_THIS, const char *path)

Definition at line 254 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_GL_LoadLibrary().

## GL_MakeCurrent

int(* SDL_VideoDevice::GL_MakeCurrent) (_THIS, SDL_Window *window, SDL_GLContext context)

Definition at line 258 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_GL_MakeCurrent().

## GL_SetSwapInterval

int(* SDL_VideoDevice::GL_SetSwapInterval) (_THIS, int interval)

Definition at line 260 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_GL_SetSwapInterval().

## GL_SwapWindow

int(* SDL_VideoDevice::GL_SwapWindow) (_THIS, SDL_Window *window)

Definition at line 262 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_GL_SwapWindow().

## GL_UnloadLibrary

void(* SDL_VideoDevice::GL_UnloadLibrary) (_THIS)

Definition at line 256 of file SDL_sysvideo.h.

Referenced by createDevice(), SDL_GL_LoadLibrary(), and SDL_GL_UnloadLibrary().

## grabbed_window

SDL_Window* SDL_VideoDevice::grabbed_window

Definition at line 314 of file SDL_sysvideo.h.

Referenced by SDL_GetGrabbedWindow(), SDL_GetWindowGrab(), and SDL_UpdateWindowGrab().

## green_size

int SDL_VideoDevice::green_size

Definition at line 324 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## HasClipboardText

SDL_bool(* SDL_VideoDevice::HasClipboardText) (_THIS)

Definition at line 299 of file SDL_sysvideo.h.

Referenced by SDL_HasClipboardText().

## HasScreenKeyboardSupport

SDL_bool(* SDL_VideoDevice::HasScreenKeyboardSupport) (_THIS)

Definition at line 291 of file SDL_sysvideo.h.

Referenced by SDL_HasScreenKeyboardSupport().

## HideScreenKeyboard

void(* SDL_VideoDevice::HideScreenKeyboard) (_THIS, SDL_Window *window)

Definition at line 293 of file SDL_sysvideo.h.

Referenced by SDL_StopTextInput().

## HideWindow

void(* SDL_VideoDevice::HideWindow) (_THIS, SDL_Window *window)

Definition at line 223 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_HideWindow().

## is_dummy

SDL_bool SDL_VideoDevice::is_dummy

Definition at line 309 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), and ShouldUseTextureFramebuffer().

## IsScreenKeyboardShown

SDL_bool(* SDL_VideoDevice::IsScreenKeyboardShown) (_THIS, SDL_Window *window)

Definition at line 294 of file SDL_sysvideo.h.

Referenced by SDL_IsScreenKeyboardShown().

## loader_handle

void* SDL_VideoDevice::loader_handle

Definition at line 372 of file SDL_sysvideo.h.

## loader_loaded

int SDL_VideoDevice::loader_loaded

Definition at line 370 of file SDL_sysvideo.h.

Referenced by SDL_Vulkan_GetVkGetInstanceProcAddr(), SDL_Vulkan_LoadLibrary(), and SDL_Vulkan_UnloadLibrary().

## loader_path

char SDL_VideoDevice::loader_path[256]

Definition at line 371 of file SDL_sysvideo.h.

Referenced by SDL_Vulkan_LoadLibrary().

## major_version

int SDL_VideoDevice::major_version

Definition at line 339 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## MaximizeWindow

void(* SDL_VideoDevice::MaximizeWindow) (_THIS, SDL_Window *window)

Definition at line 225 of file SDL_sysvideo.h.

Referenced by SDL_MaximizeWindow().

## MinimizeWindow

void(* SDL_VideoDevice::MinimizeWindow) (_THIS, SDL_Window *window)

Definition at line 226 of file SDL_sysvideo.h.

Referenced by SDL_MinimizeWindow().

## minor_version

int SDL_VideoDevice::minor_version

Definition at line 340 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## multisamplebuffers

int SDL_VideoDevice::multisamplebuffers

Definition at line 336 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## multisamplesamples

int SDL_VideoDevice::multisamplesamples

Definition at line 337 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## name

const char* SDL_VideoDevice::name

Definition at line 151 of file SDL_sysvideo.h.

Referenced by SDL_GetCurrentVideoDriver(), SDL_UpdateFullscreenMode(), SDL_VideoInit(), and ShouldMinimizeOnFocusLoss().

## next_object_id

Uint32 SDL_VideoDevice::next_object_id

Definition at line 316 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), and SDL_VideoInit().

## no_error

int SDL_VideoDevice::no_error

Definition at line 347 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## num_displays

int SDL_VideoDevice::num_displays

Definition at line 311 of file SDL_sysvideo.h.

Referenced by SDL_AddVideoDisplay(), SDL_GetIndexOfDisplay(), SDL_GetNumVideoDisplays(), SDL_GetWindowDisplayIndex(), SDL_SetWindowPosition(), SDL_VideoInit(), SDL_VideoQuit(), and videoInit().

## OnWindowEnter

void(* SDL_VideoDevice::OnWindowEnter) (_THIS, SDL_Window *window)

Definition at line 238 of file SDL_sysvideo.h.

Referenced by SDL_OnWindowEnter().

## profile_mask

int SDL_VideoDevice::profile_mask

Definition at line 342 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## PumpEvents

void(* SDL_VideoDevice::PumpEvents) (_THIS)

Definition at line 280 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_PumpEvents().

## RaiseWindow

void(* SDL_VideoDevice::RaiseWindow) (_THIS, SDL_Window *window)

Definition at line 224 of file SDL_sysvideo.h.

Referenced by SDL_RaiseWindow().

## red_size

int SDL_VideoDevice::red_size

Definition at line 323 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## release_behavior

int SDL_VideoDevice::release_behavior

Definition at line 344 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## reset_notification

int SDL_VideoDevice::reset_notification

Definition at line 345 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## ResetTouch

void(* SDL_VideoDevice::ResetTouch) (_THIS)

Definition at line 171 of file SDL_sysvideo.h.

Referenced by SDL_GetTouch().

## RestoreWindow

void(* SDL_VideoDevice::RestoreWindow) (_THIS, SDL_Window *window)

Definition at line 227 of file SDL_sysvideo.h.

Referenced by SDL_RestoreWindow().

## retained_backing

int SDL_VideoDevice::retained_backing

Definition at line 348 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## SetClipboardText

int(* SDL_VideoDevice::SetClipboardText) (_THIS, const char *text)

Definition at line 297 of file SDL_sysvideo.h.

Referenced by SDL_SetClipboardText().

## SetDisplayMode

int(* SDL_VideoDevice::SetDisplayMode) (_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)

Definition at line 204 of file SDL_sysvideo.h.

Referenced by SDL_SetDisplayModeForDisplay().

## SetTextInputRect

void(* SDL_VideoDevice::SetTextInputRect) (_THIS, SDL_Rect *rect)

Definition at line 288 of file SDL_sysvideo.h.

Referenced by SDL_SetTextInputRect().

## SetWindowBordered

void(* SDL_VideoDevice::SetWindowBordered) (_THIS, SDL_Window *window, SDL_bool bordered)

Definition at line 228 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowBordered().

## SetWindowFullscreen

void(* SDL_VideoDevice::SetWindowFullscreen) (_THIS, SDL_Window *window, SDL_VideoDisplay *display, SDL_bool fullscreen)

Definition at line 230 of file SDL_sysvideo.h.

Referenced by SDL_UpdateFullscreenMode().

## SetWindowGammaRamp

int(* SDL_VideoDevice::SetWindowGammaRamp) (_THIS, SDL_Window *window, const Uint16 *ramp)

Definition at line 231 of file SDL_sysvideo.h.

Referenced by SDL_OnWindowFocusGained(), SDL_OnWindowFocusLost(), and SDL_SetWindowGammaRamp().

## SetWindowGrab

void(* SDL_VideoDevice::SetWindowGrab) (_THIS, SDL_Window *window, SDL_bool grabbed)

Definition at line 233 of file SDL_sysvideo.h.

Referenced by SDL_UpdateWindowGrab().

## SetWindowHitTest

int(* SDL_VideoDevice::SetWindowHitTest) (SDL_Window *window, SDL_bool enabled)

Definition at line 305 of file SDL_sysvideo.h.

Referenced by SDL_RecreateWindow(), and SDL_SetWindowHitTest().

## SetWindowIcon

void(* SDL_VideoDevice::SetWindowIcon) (_THIS, SDL_Window *window, SDL_Surface *icon)

Definition at line 213 of file SDL_sysvideo.h.

Referenced by SDL_RecreateWindow(), and SDL_SetWindowIcon().

## SetWindowInputFocus

int(* SDL_VideoDevice::SetWindowInputFocus) (_THIS, SDL_Window *window)

Definition at line 221 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowInputFocus().

## SetWindowMaximumSize

void(* SDL_VideoDevice::SetWindowMaximumSize) (_THIS, SDL_Window *window)

Definition at line 217 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowMaximumSize().

## SetWindowMinimumSize

void(* SDL_VideoDevice::SetWindowMinimumSize) (_THIS, SDL_Window *window)

Definition at line 216 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowMinimumSize().

## SetWindowModalFor

int(* SDL_VideoDevice::SetWindowModalFor) (_THIS, SDL_Window *modal_window, SDL_Window *parent_window)

Definition at line 220 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowModalFor().

## SetWindowOpacity

int(* SDL_VideoDevice::SetWindowOpacity) (_THIS, SDL_Window *window, float opacity)

Definition at line 219 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowOpacity().

## SetWindowPosition

void(* SDL_VideoDevice::SetWindowPosition) (_THIS, SDL_Window *window)

Definition at line 214 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowPosition().

## SetWindowResizable

void(* SDL_VideoDevice::SetWindowResizable) (_THIS, SDL_Window *window, SDL_bool resizable)

Definition at line 229 of file SDL_sysvideo.h.

Referenced by SDL_SetWindowResizable().

## SetWindowSize

void(* SDL_VideoDevice::SetWindowSize) (_THIS, SDL_Window *window)

Definition at line 215 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_SetWindowSize().

## SetWindowTitle

void(* SDL_VideoDevice::SetWindowTitle) (_THIS, SDL_Window *window)

Definition at line 212 of file SDL_sysvideo.h.

Referenced by SDL_RecreateWindow(), and SDL_SetWindowTitle().

## shape_driver

SDL_ShapeDriver SDL_VideoDevice::shape_driver

Definition at line 244 of file SDL_sysvideo.h.

Referenced by SDL_CreateShapedWindow(), and SDL_SetWindowShape().

## share_with_current_context

int SDL_VideoDevice::share_with_current_context

Definition at line 343 of file SDL_sysvideo.h.

Referenced by SDL_GL_GetAttribute(), SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## ShowMessageBox

int(* SDL_VideoDevice::ShowMessageBox) (_THIS, const SDL_MessageBoxData *messageboxdata, int *buttonid)

Definition at line 302 of file SDL_sysvideo.h.

Referenced by SDL_ShowMessageBox().

## ShowScreenKeyboard

void(* SDL_VideoDevice::ShowScreenKeyboard) (_THIS, SDL_Window *window)

Definition at line 292 of file SDL_sysvideo.h.

Referenced by SDL_StartTextInput().

## ShowWindow

void(* SDL_VideoDevice::ShowWindow) (_THIS, SDL_Window *window)

Definition at line 222 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_ShowWindow().

## StartTextInput

void(* SDL_VideoDevice::StartTextInput) (_THIS)

Definition at line 286 of file SDL_sysvideo.h.

Referenced by SDL_SetKeyboardFocus(), and SDL_StartTextInput().

## stencil_size

int SDL_VideoDevice::stencil_size

Definition at line 329 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## stereo

int SDL_VideoDevice::stereo

Definition at line 335 of file SDL_sysvideo.h.

Referenced by SDL_GL_ResetAttributes(), and SDL_GL_SetAttribute().

## StopTextInput

void(* SDL_VideoDevice::StopTextInput) (_THIS)

Definition at line 287 of file SDL_sysvideo.h.

Referenced by SDL_SetKeyboardFocus(), and SDL_StopTextInput().

## suspend_screensaver

SDL_bool SDL_VideoDevice::suspend_screensaver

Definition at line 310 of file SDL_sysvideo.h.

Referenced by SDL_DisableScreenSaver(), SDL_EnableScreenSaver(), and SDL_IsScreenSaverEnabled().

## SuspendScreenSaver

void(* SDL_VideoDevice::SuspendScreenSaver) (_THIS)

Definition at line 283 of file SDL_sysvideo.h.

Referenced by SDL_DisableScreenSaver(), and SDL_EnableScreenSaver().

## UpdateWindowFramebuffer

int(* SDL_VideoDevice::UpdateWindowFramebuffer) (_THIS, SDL_Window *window, const SDL_Rect *rects, int numrects)

Definition at line 236 of file SDL_sysvideo.h.

Referenced by createDevice(), SDL_CreateWindowFramebuffer(), SDL_UpdateWindowSurfaceRects(), and SDL_VideoInit().

## VideoInit

int(* SDL_VideoDevice::VideoInit) (_THIS)

Definition at line 160 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_VideoInit().

## VideoQuit

void(* SDL_VideoDevice::VideoQuit) (_THIS)

Definition at line 166 of file SDL_sysvideo.h.

Referenced by createDevice(), and SDL_VideoQuit().

## vkEnumerateInstanceExtensionProperties

PFN_vkEnumerateInstanceExtensionProperties SDL_VideoDevice::vkEnumerateInstanceExtensionProperties

Definition at line 369 of file SDL_sysvideo.h.

## vkGetInstanceProcAddr

PFN_vkGetInstanceProcAddr SDL_VideoDevice::vkGetInstanceProcAddr

Definition at line 368 of file SDL_sysvideo.h.

Referenced by SDL_Vulkan_GetVkGetInstanceProcAddr().

## vulkan_config

struct { ... } SDL_VideoDevice::vulkan_config

Referenced by SDL_Vulkan_GetVkGetInstanceProcAddr(), SDL_Vulkan_LoadLibrary(), and SDL_Vulkan_UnloadLibrary().

## Vulkan_CreateSurface

SDL_bool(* SDL_VideoDevice::Vulkan_CreateSurface) (_THIS, SDL_Window *window, VkInstance instance, VkSurfaceKHR *surface)

Definition at line 273 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), and SDL_Vulkan_CreateSurface().

## Vulkan_GetDrawableSize

void(* SDL_VideoDevice::Vulkan_GetDrawableSize) (_THIS, SDL_Window *window, int *w, int *h)

Definition at line 274 of file SDL_sysvideo.h.

Referenced by SDL_Vulkan_GetDrawableSize().

## Vulkan_GetInstanceExtensions

SDL_bool(* SDL_VideoDevice::Vulkan_GetInstanceExtensions) (_THIS, SDL_Window *window, unsigned *count, const char **names)

Definition at line 272 of file SDL_sysvideo.h.

Referenced by SDL_Vulkan_GetInstanceExtensions().

## Vulkan_LoadLibrary

int(* SDL_VideoDevice::Vulkan_LoadLibrary) (_THIS, const char *path)

Definition at line 270 of file SDL_sysvideo.h.

Referenced by SDL_Vulkan_LoadLibrary().

## Vulkan_UnloadLibrary

void(* SDL_VideoDevice::Vulkan_UnloadLibrary) (_THIS)

Definition at line 271 of file SDL_sysvideo.h.

Referenced by SDL_Vulkan_UnloadLibrary().

## window_magic

Uint8 SDL_VideoDevice::window_magic

Definition at line 315 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), and SDL_CreateWindowFrom().

## windows

SDL_Window* SDL_VideoDevice::windows

Definition at line 313 of file SDL_sysvideo.h.

Referenced by SDL_CreateWindow(), SDL_CreateWindowFrom(), SDL_DestroyWindow(), SDL_GetFocusWindow(), SDL_GetWindowFromID(), SDL_HasWindows(), SDL_OnApplicationDidBecomeActive(), SDL_OnApplicationWillResignActive(), SDL_UpdateFullscreenMode(), and SDL_VideoQuit().

The documentation for this struct was generated from the following file:

- src/video/SDL_sysvideo.h